Permalink
Browse files

Fix a blunder with the previous release. Needed to affect which loop …

…was loaded in the main module.
  • Loading branch information...
1 parent 3810b1a commit 2efa69f765fd2ab366e3c2c41620db04017d2f92 @bingos committed Jun 2, 2011
View
@@ -1,7 +1,6 @@
#!perl
use strict;
use warnings;
-BEGIN { eval "use Event;"; }
use App::SmokeBox::Mini;
$|=1; # Make STDOUT hot
App::SmokeBox::Mini->run();
View
@@ -11,9 +11,9 @@ use Getopt::Long;
use Time::Duration qw(duration_exact);
use Module::Pluggable search_path => ['App::SmokeBox::Mini::Plugin'];
use Module::Load;
-use if ( $^O eq 'linux' ), "POE::Kernel" => { loop => 'POE::XS::Loop::EPoll' };
-use if ( $^O !~ /^(linux|MSWin32)$/ ), "POE::Kernel" => { loop => 'POE::XS::Loop::Poll' };
-use if ( $^O eq 'MSWin32' ), "POE::Kernel" => { loop => 'POE::Loop::Event' };
+use if ( $^O eq 'linux' ), 'POE::Kernel', { loop => 'POE::XS::Loop::EPoll' };
+use if ( $^O !~ /^(?:linux|MSWin32|darwin)$/ ), 'POE::Kernel', { loop => 'POE::XS::Loop::Poll' };
+use if ( scalar grep { $^O eq $_ } qw(MSWin32 darwin) ), 'POE::Kernel', { loop => 'POE::Loop::Event' };
use POE;
use POE::Component::SmokeBox;
use POE::Component::SmokeBox::Smoker;
@@ -26,7 +26,7 @@ use vars qw($VERSION);
use constant CPANURL => 'ftp://cpan.cpantesters.org/CPAN/';
-$VERSION = '0.52';
+$VERSION = '0.54';
$ENV{PERL5_MINISMOKEBOX} = $VERSION;
@@ -3,7 +3,7 @@ package App::SmokeBox::Mini::Plugin;
use strict;
use warnings;
-our $VERSION = '0.52';
+our $VERSION = '0.54';
qq[Smokin' plugins];
@@ -5,7 +5,7 @@ use warnings;
use base qw(POE::Component::SmokeBox::Backend::Base);
use vars qw($VERSION);
-$VERSION = '0.52';
+$VERSION = '0.54';
sub _data {
my $self = shift;

0 comments on commit 2efa69f

Please sign in to comment.